<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT News directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2015.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->
<!---
/* *************************************************************** */
Author:
	PaperThin Inc.
Name:
	news_category_listing.cfm
Description:
	Displays a list of the categories with links to the filter the news by the categories.
ADF App:
	PT News
History:
	2012-09-17 - MFC - Created
	2015-06-25 - GAC - Added a class name to the News Categories DIV
	2016-02-26 - DRM - Resource detection exit
--->

<!--- if this module loads resources, do it here.. --->
<cfscript>
	application.ptNews.scripts.loadJQuery();
</cfscript>

<!--- ... then exit if all we're doing is detecting required resources --->
<cfif Request.RenderState.RenderMode EQ "getResources">
  <cfexit>
</cfif>


<cfscript>
	// Force dyanmic to set the style on the active category
	request.element.isStatic = 0;
	
	categoryItems = attributes.elementInfo.elementData.propertyValues;
	
	// Check if a selection is defined
	if ( NOT StructKeyExists(request.params, "categoryid") )
		request.params.categoryid = "";
	
</cfscript>

<cfif ArrayLen(categoryItems)>
	<cfoutput>
		<style>
			p.newsCategoryActive{
				font-weight: bold;
			}
			p.newsCategoryActive a:before{
				content: " > ";
			} 
		</style>
		<script type="text/javascript">
			js_currCategory = "#request.params.categoryid#";
			
			jQuery(document).ready(function(){
				if ( js_currCategory != "" ) {
					// Add a class to the current selected item
					jQuery("p##"+js_currCategory).addClass("newsCategoryActive");
				}
			});
		</script>
		<div class="newsCategoryBox">
			<h3>News Categories</h3>
			<!--- All Categories --->
			<p><a href="#application.ptNews.appConfig.NEWS_LISTING_PAGEURL#">All Categories</a></p>
			<!--- Loop over the categories --->
			<cfloop array="#categoryItems#" index="currCat">
				<p id="#currCat.Values.id#"><a href="#application.ptNews.appConfig.NEWS_LISTING_PAGEURL#?categoryid=#currCat.Values.id#">#currCat.Values.name#</a></p>
			</cfloop>
		</div>
	</cfoutput>
</cfif>